namespace InABox.Integration.Logikal
{
    public class LogikalPhasesResponse<TPhase> : LogikalResponse
        where TPhase : ILogikalPhase
    {
        public override LogikalMethod Method() => LogikalMethod.Phases;

        public TPhase[] Phases { get; set; }

        public override string ToString() => $"{Phases?.Length ?? 0} Phases found";
    }
}